---
- - !ruby/regexp /^(.*?) is a synonym for (.*)/
  - :add_synonym
- - !ruby/regexp /^save syn/
  - :save_synonyms
- - !ruby/regexp /^load syn/
  - :load_synonyms
- - !ruby/regexp /^add pattern(?:\:)? (.*), (.*)/
  - :add_pattern
- - !ruby/regexp /^>(.*)/
  - :defining_method
- - !ruby/regexp /^restart/
  - :restart
- - !ruby/regexp /^show api/
  - :show_api
- - !ruby/regexp /^show (.*)'s api/
  - :show_one_method_api
- - !ruby/regexp '/(?i-mx:(.*): your assets are (.*) and your liabilities are (.*))/'
  - :add_assets_and_liabilities
- - !ruby/regexp '/(?i-mx:(.*): your assets are (?:a )?(.*); your liabilities are
    (?:a )?(.*))/'
  - :add_assets_and_liabilities
- - !ruby/regexp '/(?i-mx:(.*): your assets are (.*); your liabilities are (.*))/'
  - :add_assets_and_liabilities
- - !ruby/regexp '/(?i-mx:(.*): your assets are (?:a )?(.*))/'
  - :add_assets_and_liabilities
- - !ruby/regexp '/(?i-mx:(.*): your liabilities are (?:a )?(.*))/'
  - :add_assets_and_liabilities
- - !ruby/regexp '/(?i-mx:(.*): your assets are (.*))/'
  - :add_assets_and_liabilities
- - !ruby/regexp '/(?i-mx:(.*): your liabilities are (.*))/'
  - :add_assets_and_liabilities
- - !ruby/regexp '/(?i-mx:(.*): assets (.*?); liabilities (.*))/'
  - :add_assets_and_liabilities
- - !ruby/regexp '/(?i-mx:(.*): assets(?::)? (.*?); liabilities(?::)? (.*))/'
  - :add_assets_and_liabilities
- - !ruby/regexp /(?i-mx:(.*):( )assets (.*)(.*))/
  - :add_assets_and_liabilities
- - !ruby/regexp '/(?i-mx:(.*):( )assets: (.*))/'
  - :add_assets_and_liabilities
- - !ruby/regexp /(?i-mx:(.*):( )liabilities (.*))/
  - :add_assets_and_liabilities
- - !ruby/regexp '/(?i-mx:(.*):( )liabilities: (.*))/'
  - :add_assets_and_liabilities
- - !ruby/regexp /(?i-mx:(.*)'s assets)/
  - assets
- - !ruby/regexp /(?i-mx:show all balance sheets)/
  - show_all_balance_sheets
- - !ruby/regexp /(?i-mx:set the reserve requirement to (.*))/
  - set_reserve_requirement
- - !ruby/regexp '/(?i-mx:(.*): lend long)/'
  - lend_long
- - !ruby/regexp '/(?i-mx:(.*): add (?:a )?(.*) to your liabilities)/'
  - add_liability
- - !ruby/regexp '/(?i-mx:(.*): add liability (.*))/'
  - add_liability
- - !ruby/regexp '/(?i-mx:(.*): add (?:a )?(.*) to your assets)/'
  - add_asset
- - !ruby/regexp '/(?i-mx:(.*): add asset (.*))/'
  - add_asset
- - !ruby/regexp '/(?i-mx:(.*)\: transfer liability (?:a )?(.*) to (?:a )?(.*))/'
  - transfer_liability
- - !ruby/regexp /(?i-mx:(.*)'s liabilities)/
  - liabilities
- - !ruby/regexp '/(?i-mx:(.*): delete asset (.*))/'
  - delete_asset
- - !ruby/regexp '/(?i-mx:(.*): delete liability (.*))/'
  - delete_liability
- - !ruby/regexp '/(?i-mx:(.*): buy (.*) from (.*) for (.*))/'
  - buy_asset_from_seller_for_item
- - !ruby/regexp /(?i-mx:read file:(.*))/
  - read_file
- - !ruby/regexp /(?i-mx:read (.*))/
  - read_file
- - !ruby/regexp '/(?i-mx:(.*): transfer (.*) to (.*))/'
  - transfer_asset_to_person
- - !ruby/regexp /(?i-mx:^clear)/
  - clear_all_balance_sheets
- - !ruby/regexp /(?i-mx:^clear all balance sheets$)/
  - clear_all_balance_sheets
- - !ruby/regexp /(?i-mx:^echo (.*)$)/
  - echo
- - !ruby/regexp '/(?i-mx:(.*): give (.*) to (.*))/'
  - give_asset_to_recipient
- - !ruby/regexp /(?i-mx:draw (.*) and (.*) balance sheets side-by-side)/
  - draw_side_by_side
- - !ruby/regexp /^show (.*) and (.*) balance sheets side-by-side/
  - draw_side_by_side
- - !ruby/regexp /(?i-mx:show (.*) and (.*)'s balance sheets)/
  - draw_side_by_side
- - !ruby/regexp /(?i-mx:draw (.*) and (.*) balance sheets)/
  - draw_side_by_side
- - !ruby/regexp /(?i-mx:show (.*) and (.*) balance sheets)/
  - draw_side_by_side
- - !ruby/regexp '/(?i-mx:(.*): decrement (.*))/'
  - decrement_entry
- - !ruby/regexp '/(?i-mx:(.*): increment (.*))/'
  - increment_entry
- - !ruby/regexp '/(?i-mx:(.*): make Loan to (.*))/'
  - x_make_loan_to_y
- - !ruby/regexp /(?i-mx:show (.*)'s balance sheet)/
  - show_one_balance_sheet
- - !ruby/regexp '/(?i-mx:(.*): deposit (.*) in (.*))/'
  - deposit_asset_in_bank
